Imagick::frameImage
Imagick::fxImage
Imagick
PHP Manual

# Imagick::functionImage

(No version information available, might only be in SVN)

Imagick::functionImage — Applies a function on the image

### Opis

public bool Imagick::functionImage ( int `$function` , array `$arguments` [, int `$channel` = Imagick::CHANNEL_DEFAULT ] )

Applies an arithmetic, relational, or logical expression to an image. Use these operators to create lighter or darker versions of an image, to increase or decrease contrast in an image, or to negate the image colors. Ta metoda jest dostępna, jeśli rozszerzenie Imagick zostało skompilowane z ImageMagick w wersji 6.4.9 lub nowszej.

### Parametry

`function`

  Refer to this list of function constants

`arguments`

  Array of arguments to pass to this function.

### Zwracane wartości

Zwraca `TRUE` w przypadku sukcesu.

### Błędy/Wyjątki

Zgłasza wyjątek ImagickException w przypadku błędu.

Imagick::frameImage
Imagick::fxImage
Imagick
PHP Manual